For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set up the certificate for the internal (core) URL

post
Authorizations
defguard_sessionstringRequired
Body
cert_pemstring · nullableOptional
key_pemstring · nullableOptional
ssl_typestring · enumRequired

SSL configuration type for Defguard's internal (core) web server.

Possible values:
Responses
201

Internal URL certificate settings applied.

application/json
objectOptional
post/api/v1/core/cert/internal_url_settings
POST /api/v1/core/cert/internal_url_settings HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 50

{
  "cert_pem": null,
  "key_pem": null,
  "ssl_type": "none"
}
{
  "cert_info": {
    "common_name": "vpn.example.com",
    "not_after": "2027-08-04T10:00:00",
    "not_before": "2026-08-04T10:00:00",
    "valid_for_days": 365
  }
}

Last updated

Was this helpful?